<?php


namespace Heanup\Library;


class Sms
{
    /**
     * @var Sms
     */
    private $sms;
    public function __construct($class_name)
    {
//        require_once APP_DIR."/Library/Sms/".$class_name.".php";
        $class_name='\\Heanup\\Library\\Sms\\'.$class_name;
        $this->sms=new $class_name();
    }

    public function getCountry()
    {
        return $this->sms->getCountry();
    }

    public function getPhoneNums($link)
    {
        return $this->sms->getPhoneNums($link);
    }

    public function getMessage($country, $phone_num)
    {
        return $this->sms->getMessage($country, $phone_num);
    }
}